%define debug_package %{nil}

%global sname ip4r

%define PGSQL pgsql

Name:           %{sname}
Summary:	IPv4 and IPv4 range index types for PostgreSQL
Version:	2.0
Release:	1%{?dist}
License:	BSD
Group:		Applications/Databases
Source0:	http://pgfoundry.org/frs/download.php/2607/%{sname}-%{version}.tgz
URL:		http://pgfoundry.org/projects/ip4r
BuildRequires:	postgresql-devel
Requires:	postgresql-server
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	postgresql-%{name}

%description
ip4 and ip4r are types that contain a single IPv4 address and a range of 
IPv4 addresses respectively. They can be used as a more flexible, 
indexable version of the cidr type.

%prep
%setup -q -n %{sname}-%{version}

%build
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
%{__install} -d %{buildroot}%{_libdir}
%{__install} -d %{buildroot}/%{_datadir}/%{PGSQL}/contrib
%{__install} %{name}.so %{buildroot}%{_libdir}
%{__install} %{name}.sql %{buildroot}/%{_datadir}/%{PGSQL}/contrib
%{__install} README.%{name} %{buildroot}/%{_datadir}/%{PGSQL}/contrib

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%{_libdir}/%{name}.so
%{_datadir}/%{PGSQL}/contrib/%{name}.sql
%{_datadir}/%{PGSQL}/contrib/README.%{name}

%changelog
* Mon Mar 24 2014 Lawrence R. Rogers <lrr@cert.org> - 2.0-1
-  Changes to use standard Fedora/CentOS postgresql install location.

* Thu Mar 08 2012 Devrim GÜNDÜZ <devrim@gunduz.org> - 1.05-3
-  Provide postgresql-ip4r, to match the package name in EPEL.

* Tue Oct 12 2010 - Devrim GUNDUZ <devrim@gunduz.org> 1.05-2
- Apply 9.0 specific changes to spec file.

* Wed Apr 21 2010 - Devrim GUNDUZ <devrim@gunduz.org> 1.05-1
- Update to 1.05

* Mon Sep 7 2009 - Devrim GUNDUZ <devrim@gunduz.org> 1.04-1
- Update to 1.04

* Fri Feb 1 2008 - Devrim GUNDUZ <devrim@gunduz.org> 1.03-1
- Update to 1.03

* Sun Jan 20 2008 - Devrim GUNDUZ <devrim@gunduz.org> 1.02-1
- Update to 1.02

* Mon Jul 9 2007 - Devrim GUNDUZ <devrim@gunduz.org> 1.01-2
- Removed unneeded ldconfig calls, per bz review #246747

* Wed Jul 4 2007 - Devrim GUNDUZ <devrim@gunduz.org> 1.01-1
- Initial RPM packaging for Fedora
